Create a security key

Create a new security key for your subscription.

When you create a new subscription, a one-time securityKey is one of the generated values in the response. All event notifications sent to your notificationUrl are signed with this key using the HMAC-SHA256 algorithm. The key is sent as the x-bill-sha-signature header value in the notification.

You can use the security key to verify all notifications sent to you. It is good practice to keep the security key for your subscription updated in a timely manner. You can use this endpoint to generate a new security key based on your desired frequency.

See Webhooks in the Guides section for more information, sample requests, and notification payloads for BILL events.

Path Params
string
required
length ≥ 1

BILL-generated ID of the subscription

Headers
string
required

Idempotency key. The key must be in the UUID4 format.

string | null

API session ID generated with /v3/login

string | null

Developer key sent to you by BILL when you create a developer account. Set sessionId and devKey for organization-level BILL v3 API webhook events.

string | null

Application key sent to you by BILL when you create a partner account. Set sessionId and appKey for partner-level BILL v3 API webhook events.

string | null

Access token for Spend & Expense API authentication. Set apiToken for Spend & Expense webhook events.

Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json